import { Input, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';

export abstract class NativeInputComponent implements OnInit {

	@Input()
	control: FormControl;

	@Input()
	meta;

	exposeMetaInTemplate: string[] = [];

	ngOnInit() {
		// Move meta variables up a level, for direct access in templates
		this.exposeMetaInTemplate.map(p => this[p] = this.meta[p] !== undefined ? this.meta[p] : this[p]);
	}

}
