import { ControlValueAccessor } from '@angular/forms';
import { NativeInputComponent } from './native-input.component';

export abstract class CustomInputComponent extends NativeInputComponent implements ControlValueAccessor {

	propagateChange = (_: any) => {};

	public writeValue(value: any): void {}

	public registerOnChange(fn: any): void {
		this.propagateChange = fn;
	}

	public registerOnTouched(fn: any): void {}

}
